Merge branch 'master' of github.com:yyuu/pyenv into pypy3.5-c-jit-latest

Update from upstream
This commit is contained in:
Samuel Villamonte 2016-10-15 13:25:41 -05:00
commit 0ba2cec70e
55 changed files with 360 additions and 72 deletions

View file

@ -1,5 +1,12 @@
## Version History
## 1.0.2
* python-build: Add CPython 3.6.0b1 (#699)
* python-build: Add anaconda[23] 4.1.1 (#701, #702)
* python-build: Add miniconda[23] 4.1.11 (#703, #704, #706)
* python-build: Remove `bin.orig` if exists to fix an issue with `--enable-framework` (#687, #700)
## 1.0.1
* python-build: Add CPython 3.6.0a4 (#673)
@ -308,7 +315,7 @@
* python-build: Fix build of Tkinter with Tcl/Tk 8.6 (#131)
* python-build: Fix build problem with Readline 6.3 (#126, #131, #149, #152)
* python-build: Do not exit with errors even if some of modules are absent (#131)
* python-build: MacOSX was mispelled as MaxOSX in `anaconda_architecture` (#136)
* python-build: MacOSX was misspelled as MaxOSX in `anaconda_architecture` (#136)
* python-build: Use default `cc` as the C Compiler to build CPython (#148, #150)
* python-build: Display value from `pypy_architecture` and `anaconda_architecture` on errors (yyuu/pyenv-virtualenv#18)
* python-build: Remove old development version; 2.6-dev

View file

@ -185,7 +185,7 @@ or, if you prefer 3.3.3 over 2.7.6,
## `pyenv install`
Install a Python version (using `python-build`).
Install a Python version (using [`python-build`](https://github.com/yyuu/pyenv/tree/master/plugins/python-build)).
Usage: pyenv install [-f] [-kvp] <version>
pyenv install [-f] [-kvp] <definition-file>
@ -203,6 +203,18 @@ Install a Python version (using `python-build`).
-p/--patch Apply a patch from stdin before building
-g/--debug Build a debug version
To list the all available versions of Python, including Anaconda, Jython, pypy, and stackless, use:
$ pyenv install --list
Then install the desired versions:
$ pyenv install 2.7.6
$ pyenv install 2.6.8
$ pyenv versions
system
2.6.8
* 2.7.6 (set by /home/yyuu/.pyenv/version)
## `pyenv uninstall`
@ -264,24 +276,3 @@ Lists all Python versions with the given command installed.
2.6.8
2.7.6
3.3.3
## `pyenv install`
Part of [Python-build](https://github.com/yyuu/pyenv/tree/master/plugins/python-build), this installs versions of python
$ pyenv install 2.7.6
$ pyenv install 2.6.8
$ pyenv versions
system
2.6.8
* 2.7.6 (set by /home/yyuu/.pyenv/version)
## `pyenv install --list`
List available remote versions of Python, including Anaconda, Jython, pypy, and stackless
$ pyenv install --list

View file

@ -187,8 +187,8 @@ easy to fork and contribute any changes back upstream.
$ echo 'export PYENV_ROOT="$HOME/.pyenv"' >> ~/.bash_profile
$ echo 'export PATH="$PYENV_ROOT/bin:$PATH"' >> ~/.bash_profile
**Zsh note**: Modify your `~/.zshenv` file instead of `~/.bash_profile`.
**Ubuntu note**: Modify your `~/.bashrc` file instead of `~/.bash_profile`.
**Zsh note**: Modify your `~/.zshenv` file instead of `~/.bash_profile`.
**Ubuntu and Fedora note**: Modify your `~/.bashrc` file instead of `~/.bash_profile`.
3. **Add `pyenv init` to your shell** to enable shims and autocompletion.
Please make sure `eval "$(pyenv init -)"` is placed toward the end of the shell
@ -196,8 +196,8 @@ easy to fork and contribute any changes back upstream.
$ echo 'eval "$(pyenv init -)"' >> ~/.bash_profile
**Zsh note**: Modify your `~/.zshenv` file instead of `~/.bash_profile`.
**Ubuntu note**: Modify your `~/.bashrc` file instead of `~/.bash_profile`.
**Zsh note**: Modify your `~/.zshenv` file instead of `~/.bash_profile`.
**Ubuntu and Fedora note**: Modify your `~/.bashrc` file instead of `~/.bash_profile`.
**General warning**: There are some systems where the `BASH_ENV` variable is configured
to point to `.bashrc`. On such systems you should almost certainly put the abovementioned line

View file

@ -12,7 +12,7 @@
set -e
[ -n "$PYENV_DEBUG" ] && set -x
version="1.0.1"
version="1.0.2"
git_revision=""
if cd "${BASH_SOURCE%/*}" 2>/dev/null && git remote -v 2>/dev/null | grep -q pyenv; then

View file

@ -175,7 +175,7 @@ definition. (All bundled definitions include checksums.)
python-build will first attempt to download package files from a mirror hosted on
GitHub Pages. If a package is not available on the mirror, if the mirror
is down, or if the download is corrupt, python-build will fall back to the
official URL specified in the defintion file.
official URL specified in the definition file.
You can point python-build to another mirror by specifying the
`PYTHON_BUILD_MIRROR_URL` environment variable--useful if you'd like to run your

View file

@ -191,7 +191,7 @@ if [ -z "${PYENV_BOOTSTRAP_VERSION}" ]; then
# unsatisfied local .python-version file can cause the installer to
# fail.)
for version_info in "${VERSION_NAME%-dev}" "${VERSION_NAME%.*}" "${VERSION_NAME%%.*}"; do
# Anaconda's `curl` doesn't work on platfrom where `/etc/pki/tls/certs/ca-bundle.crt` isn't available (e.g. Debian)
# Anaconda's `curl` doesn't work on platform where `/etc/pki/tls/certs/ca-bundle.crt` isn't available (e.g. Debian)
for version in $(pyenv-whence "python${version_info}" 2>/dev/null || true); do
if [[ "${version}" != "anaconda"* ]] && [[ "${version}" != "miniconda"* ]]; then
PYENV_BOOTSTRAP_VERSION="${version}"

View file

@ -918,6 +918,15 @@ build_package_jython_builder() {
( cd "dist" && build_package_jython )
}
build_package_pyston() {
mkdir -p "${PREFIX_PATH}/"
cp -fR . "${PREFIX_PATH}/"
chmod +x "${PREFIX_PATH}/"pyston
# FIXME ugly hack below adapted from
# https://github.com/dropbox/pyston/blob/master/docker/pyston/Dockerfile
( cd "${PREFIX_PATH}/" && ./pyston virtualenv/virtualenv.py . )
}
build_package_ironpython() {
mkdir -p "${PREFIX_PATH}/bin"
cp -fR . "${PREFIX_PATH}/bin"
@ -955,6 +964,10 @@ pypy_architecture() {
esac
}
pyston_architecture() {
pypy_architecture
}
build_package_pypy() {
build_package_copy
mkdir -p "${PREFIX_PATH}/bin" "${PREFIX_PATH}/lib"
@ -1470,6 +1483,7 @@ build_package_symlink_version_suffix() {
if [[ "$PYTHON_CONFIGURE_OPTS" == *"--enable-framework"* ]]; then
if [ -e "${PREFIX_PATH}/bin" ]; then
# Always create `bin` as symlink to framework path if the version was built with `--enable-frameowrk` (#590)
rm -rf "${PREFIX_PATH}/bin.orig"
mv -f "${PREFIX_PATH}/bin" "${PREFIX_PATH}/bin.orig"
fi
# Only symlinks are installed in ${PREFIX_PATH}/bin
@ -1641,6 +1655,11 @@ build_package_verify_py36() {
build_package_verify_py35 "$1" "${2:-3.6}"
}
# Post-install check for Python 3.7.x
build_package_verify_py37() {
build_package_verify_py36 "$1" "${2:-3.7}"
}
build_package_ez_setup() {
local ez_setup="ez_setup.py"
rm -f "${ez_setup}"
@ -1920,7 +1939,9 @@ fi
# Compile with `--enable-unicode=ucs4` by default (#257)
if [[ "$PYTHON_CONFIGURE_OPTS" != *"--enable-unicode="* ]]; then
package_option python configure --enable-unicode=ucs4
if ! is_mac; then
package_option python configure --enable-unicode=ucs4
fi
fi
# SSL Certificate error with older wget that does not support Server Name Indication (#60)

View file

@ -1,4 +1,4 @@
#require_gcc
install_package "openssl-1.0.2g" "https://www.openssl.org/source/openssl-1.0.2g.tar.gz#b784b1b3907ce39abf4098702dade6365522a253ad1552e267a9a0e89594aa33" mac_openssl --if has_broken_mac_openssl
install_package "readline-6.3" "https://ftpmirror.gnu.org/readline/readline-6.3.tar.gz#56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43" standard --if has_broken_mac_readline
install_hg "Python-3.6-dev" "https://hg.python.org/cpython" "default" standard verify_py36 ensurepip
install_hg "Python-3.6-dev" "https://hg.python.org/cpython" "3.6" standard verify_py36 ensurepip

View file

@ -2,7 +2,7 @@
install_package "openssl-1.0.2g" "https://www.openssl.org/source/openssl-1.0.2g.tar.gz#b784b1b3907ce39abf4098702dade6365522a253ad1552e267a9a0e89594aa33" mac_openssl --if has_broken_mac_openssl
install_package "readline-6.3" "https://ftpmirror.gnu.org/readline/readline-6.3.tar.gz#56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43" standard --if has_broken_mac_readline
if has_tar_xz_support; then
install_package "Python-3.6.0a4" "https://www.python.org/ftp/python/3.6.0/Python-3.6.0a4.tar.xz#63acec349d20de412682f64c013f7c3374c695430b44e1c0ef12076da1d7fd2c" ldflags_dirs standard verify_py36 ensurepip
install_package "Python-3.6.0b2" "https://www.python.org/ftp/python/3.6.0/Python-3.6.0b2.tar.xz#3afd4544b99933275c513f7c3d3a23e183de8e209709ed8785bbd42e2c4869ea" ldflags_dirs standard verify_py36 ensurepip
else
install_package "Python-3.6.0a4" "https://www.python.org/ftp/python/3.6.0/Python-3.6.0a4.tgz#3cedd7c1462b41648c779b0c88d0acf4fa298179014ffe75791af9da166fed62" ldflags_dirs standard verify_py36 ensurepip
install_package "Python-3.6.0b2" "https://www.python.org/ftp/python/3.6.0/Python-3.6.0b2.tgz#6322b3be346ee41dc22539eaa1c28294363fb6238335d236a51bf23d96513d02" ldflags_dirs standard verify_py36 ensurepip
fi

View file

@ -0,0 +1,4 @@
#require_gcc
install_package "openssl-1.0.2g" "https://www.openssl.org/source/openssl-1.0.2g.tar.gz#b784b1b3907ce39abf4098702dade6365522a253ad1552e267a9a0e89594aa33" mac_openssl --if has_broken_mac_openssl
install_package "readline-6.3" "https://ftpmirror.gnu.org/readline/readline-6.3.tar.gz#56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43" standard --if has_broken_mac_readline
install_hg "Python-3.7-dev" "https://hg.python.org/cpython" "default" standard verify_py37 ensurepip

View file

@ -0,0 +1,19 @@
case "$(anaconda_architecture 2>/dev/null || true)" in
"Linux-x86" )
install_script "Anaconda2-4.1.1-Linux-x86" "https://repo.continuum.io/archive/Anaconda2-4.1.1-Linux-x86.sh#1ab001c7a469345a90d549ebf4afa3376f0f3a57a0df5f042cac7d773b0e0b0d" "anaconda" verify_py27
;;
"Linux-x86_64" )
install_script "Anaconda2-4.1.1-Linux-x86_64" "https://repo.continuum.io/archive/Anaconda2-4.1.1-Linux-x86_64.sh#9413b1d3ca9498ba6f53913df9c43d685dd973440ff10b7fe0c45b1cbdcb582e" "anaconda" verify_py27
;;
"MacOSX-x86_64" )
install_script "Anaconda2-4.1.1-MacOSX-x86_64" "https://repo.continuum.io/archive/Anaconda2-4.1.1-MacOSX-x86_64.sh#3b2fb323eb26c1c58788f63c41e164c20c417f7f24e30b8057e92ab4d6102b70" "anaconda" verify_py27
;;
* )
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of Anaconda2 is not available for $(anaconda_architecture 2>/dev/null || true)."
echo
} >&2
exit 1
;;
esac

View file

@ -0,0 +1,19 @@
case "$(anaconda_architecture 2>/dev/null || true)" in
"Linux-x86" )
install_script "Anaconda3-4.1.1-Linux-x86" "https://repo.continuum.io/archive/Anaconda3-4.1.1-Linux-x86.sh#931626363f4030c7a1e8897549b1d3589dc3f429874dc3dd8a79869ecf5c895c" "anaconda" verify_py35
;;
"Linux-x86_64" )
install_script "Anaconda3-4.1.1-Linux-x86_64" "https://repo.continuum.io/archive/Anaconda3-4.1.1-Linux-x86_64.sh#4f5c95feb0e7efeadd3d348dcef117d7787c799f24b0429e45017008f3534e55" "anaconda" verify_py35
;;
"MacOSX-x86_64" )
install_script "Anaconda3-4.1.1-MacOSX-x86_64" "https://repo.continuum.io/archive/Anaconda3-4.1.1-MacOSX-x86_64.sh#7c3c06e9281c41f1213d357cb5f233fd99d6d0db6bdba8d9fd7cfad1f1a85df9" "anaconda" verify_py35
;;
* )
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of Anaconda3 is not available for $(anaconda_architecture 2>/dev/null || true)."
echo
} >&2
exit 1
;;
esac

View file

@ -0,0 +1,2 @@
install_zip "IronPython-2.7.6.3" "https://github.com/IronLanguages/main/releases/download/ipy-2.7.6.3/IronPython-2.7.6.3.zip#dfd00598f4752104f90c248c1662eafbebf7ead24e17531d852ffc32a5a8075b" ironpython
# FIXME: have not confirmed to install setuptools into IronPython yet

View file

@ -0,0 +1,19 @@
case "$(anaconda_architecture 2>/dev/null || true)" in
"Linux-x86" )
install_script "Miniconda2-4.1.11-Linux-x86" "https://repo.continuum.io/miniconda/Miniconda2-4.1.11-Linux-x86.sh#5c4f6e121ddcbd24c7f7d3e7a6ce06c60cf2c98b14895620f1d7805d75bc5a9f" "miniconda" verify_py27
;;
"Linux-x86_64" )
install_script "Miniconda2-4.1.11-Linux-x86_64" "https://repo.continuum.io/miniconda/Miniconda2-4.1.11-Linux-x86_64.sh#4cdd4707c8bd2959551e40c6d4561ebec2711e034a04305e2dd1f88f038edb04" "miniconda" verify_py27
;;
"MacOSX-x86_64" )
install_script "Miniconda2-4.1.11-MacOSX-x86_64" "https://repo.continuum.io/miniconda/Miniconda2-4.1.11-MacOSX-x86_64.sh#a974389c7aab8058f14fa7d4bc00e5bb5316a3da4b0ca1463b854701532297d7" "miniconda" verify_py27
;;
* )
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of Miniconda2 is not available for $(anaconda_architecture 2>/dev/null || true)."
echo
} >&2
exit 1
;;
esac

View file

@ -0,0 +1,19 @@
case "$(anaconda_architecture 2>/dev/null || true)" in
"Linux-x86" )
install_script "Miniconda3-4.1.11-Linux-x86" "https://repo.continuum.io/miniconda/Miniconda3-4.1.11-Linux-x86.sh#4e89584027016060ce4e1dc40b8cb9e1c2dfd0d9f99335fca48d419ec90753c5" "miniconda" verify_py35
;;
"Linux-x86_64" )
install_script "Miniconda3-4.1.11-Linux-x86_64" "https://repo.continuum.io/miniconda/Miniconda3-4.1.11-Linux-x86_64.sh#efd6a9362fc6b4085f599a881d20e57de628da8c1a898c08ec82874f3bad41bf" "miniconda" verify_py35
;;
"MacOSX-x86_64" )
install_script "Miniconda3-4.1.11-MacOSX-x86_64" "https://repo.continuum.io/miniconda/Miniconda3-4.1.11-MacOSX-x86_64.sh#c4e3ba528721278f74e68ef070493a27d920ba10432dd2c2d563774799eda79c" "miniconda" verify_py35
;;
* )
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of Miniconda is not available for $(anaconda_architecture 2>/dev/null || true)."
echo
} >&2
exit 1
;;
esac

View file

@ -0,0 +1,23 @@
# HG changeset patch
# User Brett Cannon <brett@python.org>
# Date 1467312199 25200
# Node ID 8d7bde14d7a48f747b1ea2f77385352c507da6b9
# Parent f2d1dba10a0e9db6c77889ff8ca18718ce1e76c6# Parent 4fc0154ec84a65feb580e62729ac1d26ddfcbfa1
Merge from 3.5 for issue #26664
diff --git a/Lib/venv/scripts/posix/activate.fish b/Lib/venv/scripts/posix/activate.fish
--- a/Lib/venv/scripts/posix/activate.fish
+++ b/Lib/venv/scripts/posix/activate.fish
@@ -55,8 +55,8 @@ if test -z "$VIRTUAL_ENV_DISABLE_PROMPT"
# with the original prompt function renamed, we can override with our own.
function fish_prompt
# Prompt override?
- if test -n "$__VENV_PROMPT__"
- printf "%s%s%s" "$__VENV_PROMPT__" (set_color normal) (_old_fish_prompt)
+ if test -n "__VENV_PROMPT__"
+ printf "%s%s%s" "__VENV_PROMPT__" (set_color normal) (_old_fish_prompt)
return
end
# ...Otherwise, prepend env

View file

@ -16,7 +16,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-1.7-dev' to build from soruce."
echo "try 'pypy-1.7-dev' to build from source."
echo
} >&2
exit 1

View file

@ -16,7 +16,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-1.8-dev' to build from soruce."
echo "try 'pypy-1.8-dev' to build from source."
echo
} >&2
exit 1

View file

@ -16,7 +16,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-1.9-dev' to build from soruce."
echo "try 'pypy-1.9-dev' to build from source."
echo
} >&2
exit 1

View file

@ -26,7 +26,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.0-src' to build from soruce."
echo "try 'pypy-2.0-src' to build from source."
echo
} >&2
exit 1

View file

@ -18,7 +18,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.0.1-src' to build from soruce."
echo "try 'pypy-2.0.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -18,7 +18,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.0.2-src' to build from soruce."
echo "try 'pypy-2.0.2-src' to build from source."
echo
} >&2
exit 1

View file

@ -30,7 +30,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.1-src' to build from soruce."
echo "try 'pypy-2.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -30,7 +30,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.2-src' to build from soruce."
echo "try 'pypy-2.2-src' to build from source."
echo
} >&2
exit 1

View file

@ -30,7 +30,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.2.1-src' to build from soruce."
echo "try 'pypy-2.2.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -30,7 +30,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.3-src' to build from soruce."
echo "try 'pypy-2.3-src' to build from source."
echo
} >&2
exit 1

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.3.1-src' to build from soruce."
echo "try 'pypy-2.3.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -30,7 +30,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.4-beta1-src' to build from soruce."
echo "try 'pypy-2.4-beta1-src' to build from source."
echo
} >&2
exit 1

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.4.0-src' to build from soruce."
echo "try 'pypy-2.4.0-src' to build from source."
echo
} >&2
exit 1

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.5.0-src' to build from soruce."
echo "try 'pypy-2.5.0-src' to build from source."
echo
} >&2
exit 1

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.5.1-src' to build from soruce."
echo "try 'pypy-2.5.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.6.0-src' to build from soruce."
echo "try 'pypy-2.6.0-src' to build from source."
echo
} >&2
exit 1

View file

@ -39,7 +39,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-2.6.1-src' to build from soruce."
echo "try 'pypy-2.6.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -44,7 +44,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-4.0.0-src' to build from soruce."
echo "try 'pypy-4.0.0-src' to build from source."
echo
} >&2
exit 1

View file

@ -44,7 +44,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-4.0.1-src' to build from soruce."
echo "try 'pypy-4.0.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -44,7 +44,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-5.0.0-src' to build from soruce."
echo "try 'pypy-5.0.0-src' to build from source."
echo
} >&2
exit 1

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-5.0.1-src' to build from soruce."
echo "try 'pypy-5.0.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -44,7 +44,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-5.1.0-src' to build from soruce."
echo "try 'pypy-5.1.0-src' to build from source."
echo
} >&2
exit 1

View file

@ -44,7 +44,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-5.1.1-src' to build from soruce."
echo "try 'pypy-5.1.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -6,7 +6,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy2-5.3-src' to build from soruce."
echo "try 'pypy2-5.3-src' to build from source."
echo
} >&2
exit 1
@ -31,7 +31,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy2-5.3-src' to build from soruce."
echo "try 'pypy2-5.3-src' to build from source."
echo
} >&2
exit 1
@ -48,7 +48,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy-5.3-src' to build from soruce."
echo "try 'pypy-5.3-src' to build from source."
echo
} >&2
exit 1

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy2-5.3.1-src' to build from soruce."
echo "try 'pypy2-5.3.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy2-5.4-src' to build from soruce."
echo "try 'pypy2-5.4-src' to build from source."
echo
} >&2
exit 1

View file

@ -1,7 +1,7 @@
case "$(pypy_architecture 2>/dev/null || true)" in
"linux" )
if require_distro "Ubuntu 12.04" "Ubuntu 12.10" "Ubuntu 13.04" "Ubuntu 13.10" "Ubuntu 14.04" 1>/dev/null 2>&1; then
install_package "pypy2-v5.4.1-linux" "https://bitbucket.org/pypy/pypy/downloads/pypy2-v5.4.1-linux32.tar.bz2#6d1e2386ec1e05dffed493aa2d5e6db5cf5de18d7350d44b85f2e45aa5c9a774" "pypy" verify_py27 ensurepip
install_package "pypy2-v5.4.1-linux32" "https://bitbucket.org/pypy/pypy/downloads/pypy2-v5.4.1-linux32.tar.bz2#6d1e2386ec1e05dffed493aa2d5e6db5cf5de18d7350d44b85f2e45aa5c9a774" "pypy" verify_py27 ensurepip
else
install_package "pypy-5.4.1-linux_i686-portable" "https://bitbucket.org/squeaky/portable-pypy/downloads/pypy-5.4.1-linux_i686-portable.tar.bz2#190e1df78886f0b2bd700f110b7d312d91cafc84886c5de3c5d55c10fe1a5e75" "pypy" verify_py27 ensurepip
fi

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy3-2.3.1-src' to build from soruce."
echo "try 'pypy3-2.3.1-src' to build from source."
echo
} >&2
exit 1

View file

@ -36,7 +36,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy3-2.4.0-src' to build from soruce."
echo "try 'pypy3-2.4.0-src' to build from source."
echo
} >&2
exit 1

View file

@ -32,7 +32,7 @@ case "$(pypy_architecture 2>/dev/null || true)" in
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy3.3-5.2-alpha1-src' to build from soruce."
echo "try 'pypy3.3-5.2-alpha1-src' to build from source."
echo
} >&2
exit 1

View file

@ -0,0 +1,45 @@
case "$(pypy_architecture 2>/dev/null || true)" in
"linux" )
if require_distro "Ubuntu 12.04" "Ubuntu 12.10" "Ubuntu 13.04" "Ubuntu 13.10" "Ubuntu 14.04" 1>/dev/null 2>&1; then
install_package "pypy3.3-v5.5.0-linux32" "https://bitbucket.org/pypy/pypy/downloads/pypy3.3-v5.5.0-alpha-linux32.tar.bz2#966ee7951ad497ac907e01554fe48da77cc64a5e35a1307477c2f78652eba622" "pypy" verify_py33 ensurepip
else
install_package "pypy3.3-5.5-alpha-20161014-linux_i686-portable" "https://bitbucket.org/squeaky/portable-pypy/downloads/pypy3.3-5.5-alpha-20161014-linux_i686-portable.tar.bz2#af32420f368bc3276d15a5cf4e2e8cb0bef16f711ee830a636ad117e55c3268f" "pypy" verify_py33 ensurepip
fi
;;
"linux-armel" )
require_distro "Ubuntu 12.04" || true
install_package "pypy3-v5.5.0-linux-armel" "https://bitbucket.org/pypy/pypy/downloads/pypy3.3-v5.5.0-alpha-linux-armel.tar.bz2#9f081041867f434f18456f936befbacd9f40c0ede24137cbf80f9f45ff37b69f" "pypy" verify_py33 ensurepip
;;
"linux-armhf" )
if [[ "$(cat /etc/issue 2>/dev/null || true)" == "Raspbian"* ]]; then
install_package "pypy3-v5.5.0-linux-armhf-raspbian" "https://bitbucket.org/pypy/pypy/downloads/pypy3.3-v5.5.0-alpha-linux-armhf-raspbian.tar.bz2#d8e94c834307081d5c4be863fab935e34df360a77b06e8bc833624c4b712b2aa" "pypy" verify_py33 ensurepip
else
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy3.3-5.5-alpha-src' to build from source."
echo
} >&2
exit 1
fi
;;
"linux64" )
if require_distro "Ubuntu 12.04" "Ubuntu 12.10" "Ubuntu 13.04" "Ubuntu 13.10" "Ubuntu 14.04" 1>/dev/null 2>&1; then
install_package "pypy3-v5.5.0-linux64" "https://bitbucket.org/pypy/pypy/downloads/pypy3.3-v5.5.0-alpha-linux64.tar.bz2#41ef7c25fd04eeb20deaa83c5d88c10aef2bbc8bcfd9e53e7cc61136220861cc" "pypy" verify_py33 ensurepip
else
install_package "pypy3.3-5.5-alpha-20161013-linux_x86_64-portable" "https://bitbucket.org/squeaky/portable-pypy/downloads/pypy3.3-5.5-alpha-20161013-linux_x86_64-portable.tar.bz2#1cd7a00da376b2db29b3e1f3e9bb7a77afc8ad988b3f13fd0805f37b23960a34" "pypy" verify_py33 ensurepip
fi
;;
"osx64" )
install_package "pypy3-v5.5.0-osx64" "https://bitbucket.org/pypy/pypy/downloads/pypy3.3-v5.5.0-alpha-osx64.tar.bz2#fa45f861a6c40ae44f99ec94c521adfb6b64b0c9c0b6fc6e9df018241a648986" "pypy" verify_py33 ensurepip
;;
* )
{ echo
colorize 1 "ERROR"
echo ": The binary distribution of PyPy is not available for $(pypy_architecture 2>/dev/null || true)."
echo "try 'pypy3.3-5.5-alpha-src' to build from source."
echo
} >&2
exit 1
;;
esac

View file

@ -0,0 +1,2 @@
require_gcc
install_package "pypy3-v5.5.0-src" "https://bitbucket.org/pypy/pypy/downloads/pypy3.3-v5.5.0-alpha-src.tar.bz2#d5591c34d77253e9ed57d182b6f49585b95f7c09c3e121f0e8630e5a7e75ab5f" "pypy_builder" verify_py33 ensurepip

View file

@ -0,0 +1,23 @@
case "$(pyston_architecture 2>/dev/null || true)" in
"linux64" )
install_package "pyston-0.5.1-linux64" "https://github.com/dropbox/pyston/releases/download/v0.5.1/pyston-0.5.1-linux64.tar.gz#4b0d2ad2c19f6393b79adbb9312649d38cb8cb3daf0c8fdf8631465c7761bb79" "pyston" verify_py27
# disabling ensurepip avoids having installation aborted because of a coredump
# pyston targets python 2.7.7 and does not have ensurepip, when attempting to
# run https://bootstrap.pypa.io/get-pip.py it dumps core, see
# https://github.com/dropbox/pyston/issues/1373
# activate the virtualenv so that we're using the correct pip and site-packages location
# ( source "${PREFIX_PATH}/bin/activate" )
# FIXME: if this fails it should not break the installation
# ( cd "${PREFIX_PATH}/bin" && ./pip install https://github.com/dropbox/pyston/releases/download/v0.5.1/Cython-0.24-pyston.tar.gz && ./pip install git+git://github.com/numpy/numpy@v1.11.0 )
# deactivate the virtualenv
# ( deactivate )
;;
* )
{ echo
colorize 1 "ERROR"
echo ": A Pyston 0.5.1 binary is not available for $(pyston_architecture 2>/dev/null || true)."
echo
} >&2
exit 1
;;
esac

View file

@ -0,0 +1,4 @@
#require_gcc
install_package "openssl-1.0.2g" "https://www.openssl.org/source/openssl-1.0.2g.tar.gz#b784b1b3907ce39abf4098702dade6365522a253ad1552e267a9a0e89594aa33" mac_openssl --if has_broken_mac_openssl
install_package "readline-6.3" "https://ftpmirror.gnu.org/readline/readline-6.3.tar.gz#56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43" standard --if has_broken_mac_readline
install_package "stackless-dev-stackless-43302de87df4" "https://bitbucket.org/stackless-dev/stackless/get/v2.7.9-slp.tar.bz2#83857fb269a59cca51c68aef84295892f86ce775700dbe9a3f7fe8322f7dd6ff" ldflags_dirs standard verify_py27 ensurepip

View file

@ -0,0 +1,4 @@
#require_gcc
install_package "openssl-1.0.2g" "https://www.openssl.org/source/openssl-1.0.2g.tar.gz#b784b1b3907ce39abf4098702dade6365522a253ad1552e267a9a0e89594aa33" mac_openssl --if has_broken_mac_openssl
install_package "readline-6.3" "https://ftpmirror.gnu.org/readline/readline-6.3.tar.gz#56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43" standard --if has_broken_mac_readline
install_package "stackless-dev-stackless-587417070fe4" "https://bitbucket.org/stackless-dev/stackless/get/v3.4.2-slp.tar.bz2#c3dbdde536fa6bf366fdbc3e957596487608ba11009758ce599357512eb74103" ldflags_dirs standard verify_py34 ensurepip

View file

@ -67,6 +67,10 @@ assert_build_log() {
stub_make_install
stub_make_install
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
install_fixture definitions/needs-yaml
assert_success
@ -93,6 +97,10 @@ OUT
stub_make_install
stub patch ' : echo patch "$@" | sed -E "s/\.[[:alnum:]]+$/.XXX/" >> build.log'
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
TMPDIR="$TMP" install_fixture --patch definitions/needs-yaml <<<""
assert_success
@ -121,6 +129,10 @@ OUT
stub_make_install
stub patch ' : echo patch "$@" | sed -E "s/\.[[:alnum:]]+$/.XXX/" >> build.log'
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
TMPDIR="$TMP" install_fixture --patch definitions/needs-yaml <<<"diff --git a/script.py"
assert_success
@ -149,6 +161,10 @@ OUT
stub brew "--prefix libyaml : echo '$brew_libdir'" false
stub_make_install
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
install_fixture definitions/needs-yaml
assert_success
@ -172,6 +188,10 @@ OUT
stub brew "--prefix readline : echo '$readline_libdir'"
stub_make_install
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
run_inline_definition <<DEF
install_package "Python-3.2.1" "http://python.org/ftp/python/3.2.1/Python-3.2.1.tar.gz"
DEF
@ -199,6 +219,10 @@ OUT
stub brew
stub_make_install
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
export PYTHON_CONFIGURE_OPTS="CPPFLAGS=-I$readline_libdir/include LDFLAGS=-L$readline_libdir/lib"
run_inline_definition <<DEF
install_package "Python-3.2.1" "http://python.org/ftp/python/3.2.1/Python-3.2.1.tar.gz"
@ -223,7 +247,11 @@ OUT
stub uname '-s : echo Darwin'
stub sw_vers '-productVersion : echo 10.10'
# yyuu/pyenv#257
stub uname '-s : echo Darwin'
stub uname '-s : echo Darwin'
stub sysctl false
stub_make_install
@ -238,7 +266,7 @@ DEF
assert_build_log <<OUT
Python-3.2.1: CPPFLAGS="-I${TMP}/install/include " LDFLAGS="-L${TMP}/install/lib "
Python-3.2.1: --prefix=$INSTALL_ROOT --libdir=$INSTALL_ROOT/lib --enable-unicode=ucs4
Python-3.2.1: --prefix=$INSTALL_ROOT --libdir=$INSTALL_ROOT/lib
make -j 2
make install
OUT
@ -251,7 +279,11 @@ OUT
stub uname '-s : echo Darwin'
stub sw_vers '-productVersion : echo 10.10'
# yyuu/pyenv#257
stub uname '-s : echo Darwin'
stub uname '-s : echo Darwin'
stub sysctl '-n hw.ncpu : echo 4'
stub_make_install
@ -267,7 +299,7 @@ DEF
assert_build_log <<OUT
Python-3.2.1: CPPFLAGS="-I${TMP}/install/include " LDFLAGS="-L${TMP}/install/lib "
Python-3.2.1: --prefix=$INSTALL_ROOT --libdir=$INSTALL_ROOT/lib --enable-unicode=ucs4
Python-3.2.1: --prefix=$INSTALL_ROOT --libdir=$INSTALL_ROOT/lib
make -j 4
make install
OUT
@ -283,6 +315,9 @@ OUT
# yyuu/pyenv#222
stub uname '-s : echo FreeBSD'
# yyuu/pyenv#257
stub uname '-s : echo FreeBSD'
export -n MAKE_OPTS
run_inline_definition <<DEF
install_package "Python-3.2.1" "http://python.org/ftp/python/3.2.1/Python-3.2.1.tar.gz"
@ -306,6 +341,10 @@ OUT
stub_make_install
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
export PYTHON_MAKE_INSTALL_OPTS="DOGE=\"such wow\""
run_inline_definition <<DEF
install_package "Python-3.2.1" "http://python.org/ftp/python/3.2.1/Python-3.2.1.tar.gz"
@ -327,6 +366,10 @@ OUT
stub_make_install
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
export MAKE_INSTALL_OPTS="DOGE=\"such wow\""
run_inline_definition <<DEF
install_package "Python-3.2.1" "http://python.org/ftp/python/3.2.1/Python-3.2.1.tar.gz"
@ -361,6 +404,9 @@ OUT
# yyuu/pyenv#222
stub uname '-s : echo FreeBSD'
# yyuu/pyenv#257
stub uname '-s : echo FreeBSD'
MAKE= install_fixture definitions/vanilla-python
assert_success
@ -377,6 +423,9 @@ OUT
# yyuu/pyenv#222
stub uname '-s : echo FreeBSD'
# yyuu/pyenv#257
stub uname '-s : echo FreeBSD'
MAKE= install_fixture definitions/vanilla-python
assert_success
@ -395,6 +444,10 @@ CONF
stub apply 'echo apply "$@" >> build.log'
stub_make_install
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
export PYTHON_CONFIGURE="${TMP}/custom-configure"
run_inline_definition <<DEF
install_package "Python-3.2.1" "http://python.org/ftp/python/3.2.1/Python-3.2.1.tar.gz"

View file

@ -12,6 +12,9 @@ export -n PYTHON_CONFIGURE_OPTS
stub uname '-s : echo Darwin'
stub sw_vers '-productVersion : echo 10.9.5'
# yyuu/pyenv#257
stub uname '-s : echo Darwin'
stub uname '-s : echo Darwin'
stub sw_vers '-productVersion : echo 10.9.5'
stub gcc '--version : echo 4.2.1'
@ -33,6 +36,9 @@ OUT
stub uname '-s : echo Darwin'
stub sw_vers '-productVersion : echo 10.10'
# yyuu/pyenv#257
stub uname '-s : echo Darwin'
stub uname '-s : echo Darwin'
stub sw_vers '-productVersion : echo 10.10'
stub gcc '--version : echo 4.2.1'
@ -67,6 +73,9 @@ DEF
stub uname '-s : echo Darwin'
stub sw_vers '-productVersion : echo 10.10'
# yyuu/pyenv#257
stub uname '-s : echo Darwin'
stub uname '-s : echo Darwin'
stub sw_vers '-productVersion : echo 10.10'
stub cc 'false'
@ -89,7 +98,7 @@ build_package_standard python
DEF
assert_success
assert_output <<OUT
./configure --prefix=$INSTALL_ROOT --libdir=${TMP}/install/lib --enable-unicode=ucs4
./configure --prefix=$INSTALL_ROOT --libdir=${TMP}/install/lib
CC=clang
CFLAGS=no
make -j 2

View file

@ -101,6 +101,10 @@ resolve_link() {
echo | install_patch definitions/vanilla-python "Python-3.2.1/empty.patch"
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
TMPDIR="$TMP" install_tmp_fixture definitions/vanilla-python < /dev/null
assert_success
@ -127,6 +131,10 @@ OUT
echo "bar" | install_patch definitions/vanilla-python "Python-3.2.1/bar.patch"
echo "baz" | install_patch definitions/vanilla-python "Python-3.2.1/baz.patch"
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
TMPDIR="$TMP" install_tmp_fixture definitions/vanilla-python < /dev/null
assert_success
@ -152,6 +160,10 @@ OUT
" : echo \"$MAKE \$@\" >> build.log" \
" : echo \"$MAKE \$@\" >> build.log && cat build.log >> '$INSTALL_ROOT/build.log'"
# yyuu/pyenv#257
stub uname '-s : echo Linux'
stub uname '-s : echo Linux'
PYTHON_MAKE_INSTALL_TARGET="altinstall" TMPDIR="$TMP" install_tmp_fixture definitions/vanilla-python < /dev/null
assert_success
@ -234,6 +246,9 @@ OUT
touch "${INSTALL_ROOT}/Python.framework/Versions/Current/bin/python3.4-config"
chmod +x "${INSTALL_ROOT}/Python.framework/Versions/Current/bin/python3.4-config"
# yyuu/pyenv#257
stub uname '-s : echo Darwin'
stub uname '-s : echo Darwin'
PYTHON_CONFIGURE_OPTS="--enable-framework" TMPDIR="$TMP" run_inline_definition <<OUT
@ -242,7 +257,7 @@ verify_python python3.4
OUT
assert_success
assert_output <<EOS
PYTHON_CONFIGURE_OPTS_ARRAY=(--libdir=${TMP}/install/lib --enable-framework=${TMP}/install --enable-unicode=ucs4)
PYTHON_CONFIGURE_OPTS_ARRAY=(--libdir=${TMP}/install/lib --enable-framework=${TMP}/install)
EOS
[ -L "${INSTALL_ROOT}/Python.framework/Versions/Current/bin/python" ]
@ -250,6 +265,9 @@ EOS
}
@test "enable universalsdk" {
# yyuu/pyenv#257
stub uname '-s : echo Darwin'
stub uname '-s : echo Darwin'
PYTHON_CONFIGURE_OPTS="--enable-universalsdk" TMPDIR="$TMP" run_inline_definition <<OUT
@ -257,7 +275,7 @@ echo "PYTHON_CONFIGURE_OPTS_ARRAY=(\${PYTHON_CONFIGURE_OPTS_ARRAY[@]})"
OUT
assert_success
assert_output <<EOS
PYTHON_CONFIGURE_OPTS_ARRAY=(--libdir=${TMP}/install/lib --enable-universalsdk=/ --with-universal-archs=intel --enable-unicode=ucs4)
PYTHON_CONFIGURE_OPTS_ARRAY=(--libdir=${TMP}/install/lib --enable-universalsdk=/ --with-universal-archs=intel)
EOS
}
@ -283,6 +301,9 @@ OUT
}
@test "default MACOSX_DEPLOYMENT_TARGET" {
# yyuu/pyenv#257
stub uname '-s : echo Darwin'
stub uname '-s : echo Darwin'
stub sw_vers '-productVersion : echo 10.10'
@ -294,6 +315,9 @@ OUT
}
@test "use custom MACOSX_DEPLOYMENT_TARGET if defined" {
# yyuu/pyenv#257
stub uname '-s : echo Darwin'
stub uname '-s : echo Darwin'
MACOSX_DEPLOYMENT_TARGET="10.4" TMPDIR="$TMP" run_inline_definition <<OUT

View file

@ -17,7 +17,7 @@ setup() {
assert_success "system"
}
@test "system version is not checked for existance" {
@test "system version is not checked for existence" {
PYENV_VERSION=system run pyenv-version-name
assert_success "system"
}